drama.shaders = {};
drama.shaders["pixellate"] = {
	src: "varying mediump vec2 vTex;\nuniform lowp sampler2D samplerFront;\nuniform mediump vec2 srcOriginStart;\nuniform mediump vec2 srcOriginEnd;\n\nuniform mediump vec2 pixelSize;\n\nuniform mediump float tilesize;\n\nvoid main(void)\n{\n	mediump vec2 tile = pixelSize * tilesize;\n	mediump vec2 halftile = tile / 2.0;\n	\n	mediump vec2 tex = floor(vTex / tile) * tile + halftile;\n	\n	tex = clamp(tex, min(srcOriginStart, srcOriginEnd), max(srcOriginStart, srcOriginEnd));\n	\n	gl_FragColor = texture2D(samplerFront, tex);\n}\n",
	extendBoxHorizontal: 0,
	extendBoxVertical: 0,
	crossSampling: false,
	preservesOpaqueness: false,
	animated: false,
	parameters: [["tilesize",0,0]]
};
